Maintainer: Adam Dickmeiss <adam@indexdata.dk>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0
-Build-Depends: libyaz-dev (>= 2.0.2), libexpat1-dev, tcl8.4-dev, libbz2-dev, libxslt1-dev
+Build-Depends: libyaz-dev (>= 2.1.22), libexpat1-dev, tcl8.4-dev, libbz2-dev, libxslt1-dev
-Package: idzebra2.0
+Package: idzebra-2.0
Section: text
Architecture: any
-Provides: libidzebra2.0-dev, idzebra2.0-utils, libidzebra2.0-modules, idzebra2.0-doc
+Provides: libidzebra-2.0-dev, idzebra-2.0-utils, libidzebra-2.0-modules, idzebra-2.0-doc
Description: IDZebra virtual package (the works)
This virtual package installs all the necessary packages to start
working with IDZebra - including utility programs, development libraries,
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra2.0-modules
+Package: libidzebra-2.0-modules
Section: libs
Architecture: any
-Provides: libidzebra2.0-mod-grs-xml, libidzebra2.0-mod-grs-regx, libidzebra2.0-mod-marc
+Provides: libidzebra-2.0-mod-grs-xml, libidzebra-2.0-mod-grs-regx, libidzebra-2.0-mod-marc
Description: IDZebra modules
This virtual package contains all base IDZebra filter modules.
.
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: idzebra2.0-common
+Package: idzebra-2.0-common
Section: text
Architecture: all
Conflicts: idzebra
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: idzebra2.0-utils
+Package: idzebra-2.0-utils
Section: text
Architecture: any
Depends: ${shlibs:Depends}
-Recommends: idzebra2.0-mod-grs-xml, idzebra2.0-mod-grs-regx, idzebra2.0-mod-marc
+Recommends: idzebra-2.0-mod-grs-xml, idzebra-2.0-mod-grs-regx, idzebra-2.0-mod-marc
Conflicts: idzebra
Description: IDZebra utility programs
This package contains IDZebra utilities such as the zebraidx indexer
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra2.0-dev
+Package: libidzebra-2.0-dev
Section: devel
Architecture: any
-Depends: libidzebra2.0 (= ${Source-Version})
+Depends: libidzebra-2.0 (= ${Source-Version})
Description: IDZebra development
This package contains IDZebra development files, such as libraries
and header files.
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra2.0
+Package: libidzebra-2.0
Section: libs
Architecture: any
-Depends: ${shlibs:Depends}, idzebra2.0-common
+Depends: ${shlibs:Depends}, idzebra-2.0-common
Conflicts: idzebra
Description: IDZebra libraries
This package contains all run-time libraries for IDZebra.
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra2.0-mod-alvis
+Package: libidzebra-2.0-mod-alvis
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra2.0-mod-grs-marc
+Package: libidzebra-2.0-mod-grs-marc
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra2.0-mod-grs-regx
+Package: libidzebra-2.0-mod-grs-regx
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra2.0-mod-grs-xml
+Package: libidzebra-2.0-mod-grs-xml
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: idzebra2.0-doc
+Package: idzebra-2.0-doc
Section: doc
Architecture: all
Conflicts: idzebra
--- /dev/null
+#! /bin/sh
+# $Id: idzebra-2.0-common.init,v 1.1 2006-06-29 11:20:39 marc Exp $
+# Start and stop toolkit lite administered idzebra script for Debian.
+# change runlevels using update-rc.d
+
+test -x /usr/bin/zebrasrv || exit 0
+test -x /usr/bin/zebraidx || exit 0
+test -f /etc/default/zebra || exit 0
+source /etc/default/zebra
+
+# Now sourced from /etc/default/zebra
+ZEBRA_USER=zebra
+ZEBRA_GROUP=zebra
+
+#ZEBRA_CONF_FILE=/etc/zebra.conf
+#ZEBRA_LOG_DIR=/var/log/zebra
+#ZEBRA_PID_DIR=/var/run/zebra
+#ZEBRA_TMP_DIR=/var/tmp/zebra
+
+ZEBRA_DIRS="/home/marc/projects/alvis"
+ZEBRA_INDEX_DIRS="data"
+
+# set socket connection method
+#ZEBRA_SOCKET="tcp:@:210"
+ZEBRA_SOCKET="unix:db/socket"
+
+
+# define display message
+display_ZEBRA_message(){
+ echo "Usage:"
+ echo " As root:"
+ echo -n " /etc/init.d/zebra {start|stop|reload|force-reload|restart}"
+ echo " [/path/to/root/dir]"
+ echo " As root or $ZEBRA_USER:"
+ echo " /etc/init.d/zebra {index|reindex} [/path/to/root/dir [sub/dir] ]"
+}
+
+# make sure we are root or $ZEBRA_USER
+ZEBRA_CURR_USER=`whoami`;
+if [ $ZEBRA_CURR_USER != $ZEBRA_USER -a $ZEBRA_CURR_USER != "root" ] ; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root or $ZEBRA_USER";
+ exit 1;
+fi
+
+
+# perform usual init.d daemon services
+case "$1" in
+ start)
+ # make sure we are root
+ if [ `whoami` != root ]; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root";
+ exit 1;
+ fi
+
+ # read zebra dir from command line
+ if [ $2 ] ; then
+ ZEBRA_DIRS=$2
+ fi
+
+ # loop through all entries defined in /etc/zebra.conf
+ for d in $ZEBRA_DIRS; do
+ echo -n "Starting zebra: "
+ echo -n "$d " ;
+
+ if [ ! -f $d/db/zebra.cfg ] ; then
+ echo "";
+ echo " Error: config file $d/db/zebra.cfg not found";
+ continue;
+ fi
+
+ if [ ! -f $d/db/lock/zebrasrv.pid ] ; then
+ start-stop-daemon --start --quiet --background --pidfile $d/db/lock/zebrasrv.pid --exec /usr/bin/zebrasrv -- -w $d -u $ZEBRA_USER -c db/zebra.cfg -l db/server.log $ZEBRA_SOCKET ;
+
+ # check for running zebra not performed
+ #sleep 1
+ #if [ -f $d/db/lock/zebrasrv.pid ] ; then
+ # echo -n "started "
+ #cat $d/db/lock/zebrasrv.pid
+ # echo -n " "
+ #else
+ # echo -n "error "
+ #fi
+ else
+ echo -n "already running "
+ fi
+ echo
+ done
+ #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
+ ;;
+
+ stop)
+ # make sure we are root
+ if [ `whoami` != root ]; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root";
+ exit 1;
+ fi
+
+ # read zebra dir from command line
+ if [ $2 ] ; then
+ ZEBRA_DIRS=$2
+ fi
+
+ # loop through all entries defined in /etc/zebra.conf
+ for d in $ZEBRA_DIRS; do
+ echo -n "Stopping zebra: "
+ echo -n "$d " ;
+
+ if [ ! -f $d/db/zebra.cfg ] ; then
+ echo "";
+ echo " Error: config file $d/db/zebra.cfg not found";
+ continue;
+ fi
+
+ if [ -f $d/db/lock/zebrasrv.pid ] ; then
+ start-stop-daemon --stop --quiet --oknodo --pidfile $d/db/lock/zebrasrv.pid ;
+ #sleep 1
+ #if ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
+ # kill -9 `cat $d/db/lock/zebrasrv.pid`
+ # echo -n "-9 "
+ #fi
+ #if [ -f $d/db/lock/zebrasrv.pid ] && ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
+ # echo -n "error "
+ #else
+ # echo -n "stopped "
+ #fi
+ #if [ -f $d/db/lock/zebrasrv.pid ] ; then
+ #rm -f $d/db/lock/zebrasrv.pid
+ #echo -n "removed PID file"
+ #fi
+ else
+ echo -n "already dead "
+ fi
+ echo
+ done
+ #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
+ ;;
+
+ restart|reload|force-reload)
+ # make sure we are root
+ if [ `whoami` != root ]; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root";
+ exit 1;
+ fi
+
+ $0 stop $2
+ #sleep 1
+ $0 start $2
+ ;;
+
+ reindex|index)
+ # make sure that indexing is done as user $ZEBRA_USER
+ if test `whoami` != $ZEBRA_USER; then
+ su -s /bin/sh -c "$0 $*" $ZEBRA_USER
+ exit 0
+ fi
+
+ # read zebra dir from command line
+ if [ $2 ] ; then
+ ZEBRA_DIRS=$2
+ fi
+
+ for d in $ZEBRA_DIRS; do
+ # allow all scripts to be called with one specific entrie
+ # directory as third argument
+
+ if [ ! -f $d/db/zebra.cfg ] ; then
+ echo -n "Indexing zebra: "
+ echo "$d "
+ echo " Error: config file $d/db/zebra.cfg not found";
+ continue;
+ fi
+
+ if [ $3 ] ; then
+ # only indexing one additionally directory
+ ZEBRA_INDEX_DIRS=$3;
+ if [ ! -d $d/$ZEBRA_INDEX_DIRS ] ; then
+ #$0 ; # trigger user info
+ echo " Error: there is no directory $3";
+ echo " in zebra dir $d";
+ echo " Can not index $d/$ZEBRA_INDEX_DIRS";
+ exit 1;
+ fi
+ if ( echo $ZEBRA_INDEX_DIRS | grep "^/" ) ; then
+ #$0 ; # trigger user info
+ echo " Error: third argument $3";
+ echo " must not contain leading slash";
+ exit 1;
+ fi
+
+ echo -n "Indexing zebra: "
+ echo -n "$d "
+
+ (cd $d ;
+ # initalization and commiting db to get a fresh slate
+ for DIR in $ZEBRA_INDEX_DIRS ; do
+ echo -n "$DIR "
+ zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
+ done
+ zebraidx -l db/index.log -c db/zebra.cfg commit ;
+ )
+ echo
+ else
+ # indexing a whole entrie - findZEBRA_INDEX_DIRD makes the work
+ # findZEBRA_INDEX_DIRS "$d" ;
+ echo -n "Indexing zebra: "
+ echo -n "$d "
+ (cd $d ;
+ # initalization and commiting db to get a fresh slate
+ zebraidx -l db/index.log -c db/zebra.cfg init ;
+ for DIR in $ZEBRA_INDEX_DIRS ; do
+ echo -n "$DIR "
+ zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
+ done
+ zebraidx -l db/index.log -c db/zebra.cfg commit ;
+ )
+ echo
+ fi
+ done
+ ;;
+
+ *)
+ display_ZEBRA_message ;
+ exit 1;
+esac
+
+exit 0
+
+
--- /dev/null
+usr/share/idzebra-2.0
--- /dev/null
+usr/share/doc/idzebra-2.0 usr/share/doc/idzebra-2.0-doc
--- /dev/null
+usr/bin/zebraidx-2.0
+usr/bin/zebrasrv-2.0
--- /dev/null
+doc/zebrasrv-2.0.8
+doc/zebraidx-2.0.1
+++ /dev/null
-#! /bin/sh
-# $Id: idzebra2.0-common.init.test,v 1.1 2006-06-26 15:11:24 marc Exp $
-# Start and stop toolkit lite administered idzebra script for Debian.
-# change runlevels using update-rc.d
-
-test -x /usr/bin/zebrasrv || exit 0
-test -x /usr/bin/zebraidx || exit 0
-test -f /etc/default/zebra || exit 0
-source /etc/default/zebra
-
-# Now sourced from /etc/default/zebra
-ZEBRA_USER=zebra
-ZEBRA_GROUP=zebra
-
-#ZEBRA_CONF_FILE=/etc/zebra.conf
-#ZEBRA_LOG_DIR=/var/log/zebra
-#ZEBRA_PID_DIR=/var/run/zebra
-#ZEBRA_TMP_DIR=/var/tmp/zebra
-
-ZEBRA_DIRS="/home/marc/projects/alvis"
-ZEBRA_INDEX_DIRS="data"
-
-# set socket connection method
-#ZEBRA_SOCKET="tcp:@:210"
-ZEBRA_SOCKET="unix:db/socket"
-
-
-# define display message
-display_ZEBRA_message(){
- echo "Usage:"
- echo " As root:"
- echo -n " /etc/init.d/zebra {start|stop|reload|force-reload|restart}"
- echo " [/path/to/root/dir]"
- echo " As root or $ZEBRA_USER:"
- echo " /etc/init.d/zebra {index|reindex} [/path/to/root/dir [sub/dir] ]"
-}
-
-# make sure we are root or $ZEBRA_USER
-ZEBRA_CURR_USER=`whoami`;
-if [ $ZEBRA_CURR_USER != $ZEBRA_USER -a $ZEBRA_CURR_USER != "root" ] ; then
- display_ZEBRA_message ;
- echo " Error: you are not root or $ZEBRA_USER";
- exit 1;
-fi
-
-
-# perform usual init.d daemon services
-case "$1" in
- start)
- # make sure we are root
- if [ `whoami` != root ]; then
- display_ZEBRA_message ;
- echo " Error: you are not root";
- exit 1;
- fi
-
- # read zebra dir from command line
- if [ $2 ] ; then
- ZEBRA_DIRS=$2
- fi
-
- # loop through all entries defined in /etc/zebra.conf
- for d in $ZEBRA_DIRS; do
- echo -n "Starting zebra: "
- echo -n "$d " ;
-
- if [ ! -f $d/db/zebra.cfg ] ; then
- echo "";
- echo " Error: config file $d/db/zebra.cfg not found";
- continue;
- fi
-
- if [ ! -f $d/db/lock/zebrasrv.pid ] ; then
- start-stop-daemon --start --quiet --background --pidfile $d/db/lock/zebrasrv.pid --exec /usr/bin/zebrasrv -- -w $d -u $ZEBRA_USER -c db/zebra.cfg -l db/server.log $ZEBRA_SOCKET ;
-
- # check for running zebra not performed
- #sleep 1
- #if [ -f $d/db/lock/zebrasrv.pid ] ; then
- # echo -n "started "
- #cat $d/db/lock/zebrasrv.pid
- # echo -n " "
- #else
- # echo -n "error "
- #fi
- else
- echo -n "already running "
- fi
- echo
- done
- #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
- ;;
-
- stop)
- # make sure we are root
- if [ `whoami` != root ]; then
- display_ZEBRA_message ;
- echo " Error: you are not root";
- exit 1;
- fi
-
- # read zebra dir from command line
- if [ $2 ] ; then
- ZEBRA_DIRS=$2
- fi
-
- # loop through all entries defined in /etc/zebra.conf
- for d in $ZEBRA_DIRS; do
- echo -n "Stopping zebra: "
- echo -n "$d " ;
-
- if [ ! -f $d/db/zebra.cfg ] ; then
- echo "";
- echo " Error: config file $d/db/zebra.cfg not found";
- continue;
- fi
-
- if [ -f $d/db/lock/zebrasrv.pid ] ; then
- start-stop-daemon --stop --quiet --oknodo --pidfile $d/db/lock/zebrasrv.pid ;
- #sleep 1
- #if ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
- # kill -9 `cat $d/db/lock/zebrasrv.pid`
- # echo -n "-9 "
- #fi
- #if [ -f $d/db/lock/zebrasrv.pid ] && ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
- # echo -n "error "
- #else
- # echo -n "stopped "
- #fi
- #if [ -f $d/db/lock/zebrasrv.pid ] ; then
- #rm -f $d/db/lock/zebrasrv.pid
- #echo -n "removed PID file"
- #fi
- else
- echo -n "already dead "
- fi
- echo
- done
- #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
- ;;
-
- restart|reload|force-reload)
- # make sure we are root
- if [ `whoami` != root ]; then
- display_ZEBRA_message ;
- echo " Error: you are not root";
- exit 1;
- fi
-
- $0 stop $2
- #sleep 1
- $0 start $2
- ;;
-
- reindex|index)
- # make sure that indexing is done as user $ZEBRA_USER
- if test `whoami` != $ZEBRA_USER; then
- su -s /bin/sh -c "$0 $*" $ZEBRA_USER
- exit 0
- fi
-
- # read zebra dir from command line
- if [ $2 ] ; then
- ZEBRA_DIRS=$2
- fi
-
- for d in $ZEBRA_DIRS; do
- # allow all scripts to be called with one specific entrie
- # directory as third argument
-
- if [ ! -f $d/db/zebra.cfg ] ; then
- echo -n "Indexing zebra: "
- echo "$d "
- echo " Error: config file $d/db/zebra.cfg not found";
- continue;
- fi
-
- if [ $3 ] ; then
- # only indexing one additionally directory
- ZEBRA_INDEX_DIRS=$3;
- if [ ! -d $d/$ZEBRA_INDEX_DIRS ] ; then
- #$0 ; # trigger user info
- echo " Error: there is no directory $3";
- echo " in zebra dir $d";
- echo " Can not index $d/$ZEBRA_INDEX_DIRS";
- exit 1;
- fi
- if ( echo $ZEBRA_INDEX_DIRS | grep "^/" ) ; then
- #$0 ; # trigger user info
- echo " Error: third argument $3";
- echo " must not contain leading slash";
- exit 1;
- fi
-
- echo -n "Indexing zebra: "
- echo -n "$d "
-
- (cd $d ;
- # initalization and commiting db to get a fresh slate
- for DIR in $ZEBRA_INDEX_DIRS ; do
- echo -n "$DIR "
- zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
- done
- zebraidx -l db/index.log -c db/zebra.cfg commit ;
- )
- echo
- else
- # indexing a whole entrie - findZEBRA_INDEX_DIRD makes the work
- # findZEBRA_INDEX_DIRS "$d" ;
- echo -n "Indexing zebra: "
- echo -n "$d "
- (cd $d ;
- # initalization and commiting db to get a fresh slate
- zebraidx -l db/index.log -c db/zebra.cfg init ;
- for DIR in $ZEBRA_INDEX_DIRS ; do
- echo -n "$DIR "
- zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
- done
- zebraidx -l db/index.log -c db/zebra.cfg commit ;
- )
- echo
- fi
- done
- ;;
-
- *)
- display_ZEBRA_message ;
- exit 1;
-esac
-
-exit 0
-
-
+++ /dev/null
-usr/share/idzebra-2.0
+++ /dev/null
-usr/share/doc/idzebra-2.0 usr/share/doc/idzebra2.0-doc
+++ /dev/null
-usr/bin/zebraidx-2.0
-usr/bin/zebrasrv-2.0
+++ /dev/null
-doc/zebrasrv-2.0.8
-doc/zebraidx-2.0.1
--- /dev/null
+usr/bin/idzebra-config
+usr/lib/libidzebra-*.so
+usr/lib/libidzebra-*.la
+usr/lib/libidzebra-*.a
+usr/share/aclocal
+usr/include/idzebra-2.0
--- /dev/null
+doc/idzebra-config.1
--- /dev/null
+usr/lib/idzebra-2.0/modules/mod-alvis.so
--- /dev/null
+usr/lib/idzebra-2.0/modules/mod-grs-marc.so
--- /dev/null
+usr/lib/idzebra-2.0/modules/mod-grs-regx.so
--- /dev/null
+usr/lib/idzebra-2.0/modules/mod-grs-xml.so
--- /dev/null
+usr/lib/libidzebra-*.so.*
+++ /dev/null
-usr/bin/idzebra-config
-usr/lib/libidzebra-*.so
-usr/lib/libidzebra-*.la
-usr/lib/libidzebra-*.a
-usr/share/aclocal
-usr/include/idzebra-2.0
+++ /dev/null
-doc/idzebra-config.1
+++ /dev/null
-usr/lib/idzebra-2.0/mod-alvis.so
+++ /dev/null
-usr/lib/idzebra-2.0/mod-grs-marc.so
+++ /dev/null
-usr/lib/idzebra-2.0/mod-grs-regx.so
+++ /dev/null
-usr/lib/idzebra-2.0/mod-grs-xml.so
+++ /dev/null
-usr/lib/libidzebra-*.so.*
dh_testdir
# Add here commands to compile the package.
- $(MAKE)
+ $(MAKE) -j8
touch build-stamp
rm -f build-stamp
# Add here commands to clean up after the build process.
- -$(MAKE) distclean
+ -$(MAKE) -j8 distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
if [! -f config.sub] ; then cp -f /usr/share/misc/config.sub config.sub ; fi
endif
dh_installdirs
# Add here commands to install the package into debian/tmp
- $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+ $(MAKE) -j8 install DESTDIR=$(CURDIR)/debian/tmp
# Build architecture-independent files here.
dh_fixperms
# dh_perl
# dh_python
- dh_makeshlibs -V 'libidzebra2.0 (>= 2.0.0)' -X mod-
+ dh_makeshlibs -V 'libidzebra-2.0 (>= 2.0.0)' -X mod-
dh_installdeb
- dh_shlibdeps -l debian/libidzebra2.0/usr/lib
+ dh_shlibdeps -l debian/libidzebra-2.0/usr/lib
dh_gencontrol
dh_md5sums
dh_builddeb